package com.tofly.xrtygis.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

public interface WaterSupplyMapper {

    Page<Map> getSupplyMonth(Page page, @Param("id") Long id, @Param("start") String start, @Param("end") String end);

    List<Map> viewSupplyMonth(@Param("id") Long id, @Param("start") String start, @Param("end") String end);

    Page<Map> getSupplyDay(Page page, @Param("id") Long id, @Param("start") String start, @Param("end") String end);

    List<Map> viewSupplyDay(@Param("id") Long id, @Param("start") String start, @Param("end") String end);

    Page<Map> getSupplyHour(Page page, @Param("id") Long id, @Param("start") String start, @Param("end") String end);

    List<Map> viewSupplyHour(@Param("id") Long id, @Param("start") String start, @Param("end") String end);
}
